<?php
namespace Noalyss\XMLPayment;
use IText;

/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 23/09/24
/*! 
 * \file
 * \brief the bank account to use in a XML Payment
 */
class Header_Bank
{
    /**
     * @brief display the FORM for Bank information (IBAN ,BIC , NAME)
     * @param $bank_id
     * @return void
     */
    function input($bank_id) {
        global $g_config_xmlpay;

        require $g_config_xmlpay['dir'].'/template/header_bank-input.php';
    }
}