<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 19/09/24
/*! 
 * \file
 * \brief retrieve data from a card : name, firstname , banque account
 */
if (!defined('ALLOWED'))
    die('Appel direct ne sont pas permis');
try {
    $qcode=$http->request('qcode');
} catch (\Exception $e) {
    echo $e->getMessage();
    return;
}

$cn=Dossier::connect();
$card=new Fiche($cn);
$aAnswer=['name'=>'','firstname'=>'','bankaccount'=>''];
if ( $card->get_by_qcode(noalyss_trim($qcode)) == 0 ) {
    // card found
    $aAnswer['name']=$card->strAttribut(ATTR_DEF_NAME);
    $aAnswer['firstname']=$card->strAttribut(ATTR_DEF_FIRST_NAME,0);
    $aAnswer['bankaccount']=$card->strAttribut(ATTR_DEF_BQ_NO,0);
}
echo json_response($aAnswer);