<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 24/09/24
/*! 
 * \file
 * \brief  select another bank
 */
if (!defined('ALLOWED'))
    die('Appel direct ne sont pas permis');
$http=new \HttpInput();
try {
    $bank_account_id=$http->get('bank_id','number');
} catch (\Exception $e) {
    echo $e->getMessage();
}
$response=array('bank_name'=>'','bank_iban'=>'','bank_bic'=>'');

$cn=\Dossier::connect();

$bank=$cn->get_row('select b_bank_number,b_name_account,b_bank_id from xmlpayment.bank_account
where b_id=$1',[$bank_account_id]);

$response['bank_name']=$bank['b_name_account'];
$response['bank_bic']=$bank['b_bank_id'];
$response['bank_iban']=$bank['b_bank_number'];

echo json_response($response);