<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 17/11/24
/*! 
 * \file
 * \brief delete a bank from bank_account
 */
/**
 * @var $bank_id PK of xmlpayment.bank_account
 * @var $cn Database
 */
if (!defined('ALLOWED')) {
    die ("not allowed");
}
try {
    $bank_id=$http->get('bank_id',"number");
} catch (\Exception $e) {
    echo $e->getMessage();
    return;
}


$cn->exec_sql("delete from xmlpayment.bank_account where b_id=$1",[$bank_id]);

echo 'OK';