<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 19/09/24
/*! 
 * \file
 * \brief display a dialog box to search a card
 */
if (!defined('ALLOWED'))
    die('Appel direct ne sont pas permis');
global $g_config_xmlpay;
$http=new \HttpInput();

echo HtmlInput::title_box(_("Détail fiche"), 'xmlpy_search_card_box');
echo '<form method="GET" onsubmit="xmlPayment.search_card_box(this);return false;">';
$q=new IText('query');
$q->value=(isset($query))?$query:'';
echo '<span style="margin-left:50px">';
echo _('Fiche contenant').Icon_Action::infobulle(19);
echo $q->input();
echo HtmlInput::submit('fs',_('Recherche'),"","smallbutton");
echo '</span>';

$array=array();

// $label=$http->request("label");
$label="label_fiche";
//$inp=$http->request("inp");
$inp="fiche_id";

$query=$http->request("query","string","");

// to navigate
$page_card=$http->get("page_card","number",0);
echo \HtmlInput::hidden("page_card", $page_card);
$inactive=$http->get("inactive_card","string",0);
if ($inactive=="undefined" || $inactive == "") $inactive=0;
$is=new InputSwitch("inactive_card",$inactive);
$is->value=$inactive;
echo _("fiches inactives").$is->input();

echo "</form>";

$sql_array["query"]=$query;
$sql_array["inactive_card"]=$inactive;
/* what is the type of the ledger */

$fiche=new Fiche($cn);
/* Build the SQL and show result */
$sql=$fiche->build_sql($sql_array);

/**
 * if inactive == 0 , then only active card
 */
if ( $inactive == 0 ) {
    $sql.=" and f_enable='1' ";
}

/* We limit the search to MAX_SEARCH_CARD records */
$sql=$sql.' order by vw_name ';
$total_card=$cn->get_value("select count(*) from ($sql) as c");

$record_start=$page_card*MAX_SEARCH_CARD;
$sql.=' limit '.MAX_SEARCH_CARD.' offset '.$record_start;

$aFound=$cn->get_array($sql);
$nb_found=count($aFound);
for($i=0;$i<$nb_found;$i++)
{
    $bank_account=$cn->get_value("select ad_value from fiche_detail where ad_id=$1 and f_id=$2",
                                [ATTR_DEF_BQ_NO,$aFound[$i]['f_id']]);
    $array[$i]['quick_code']=$aFound[$i]['quick_code'];
    $array[$i]['name']=h($aFound[$i]['vw_name']);
    $array[$i]['accounting']=$aFound[$i]['accounting'];
    $array[$i]['first_name']=h($aFound[$i]['vw_first_name']);
    $array[$i]['description']=h($aFound[$i]['vw_description']);
    $array[$i]['javascript']=sprintf("set_value('%s','%s');",
        $inp,$array[$i]['quick_code']);
    $array[$i]['javascript'].=sprintf("set_value('%s','%s');",
        'd_bank_account',$bank_account);
    $array[$i]['javascript'].=sprintf("set_value('%s','%s');",
        $label,j(noalyss_strip_tags($aFound[$i]['vw_name'])));
    $array[$i]['javascript'].="removeDiv('xmlpy_search_card_box');";

}//foreach


require_once $g_config_xmlpay['dir'].'/template/ajax+card_search_box.php';

echo HtmlInput::button_close("xmlpy_search_card_box");
