<?php
/*
 *   This file is part of NOALYSS.
 *
 *   NOALYSS is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   NOALYSS is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with NOALYSS; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
// Copyright Author Dany De Bontridder danydb@aevalys.eu 23/09/24
/*! 
 * \file
 * \brief input bank info
 */
/**
 * @var $bank_id bank id defined
 */
$name=new IText("bank_name");
$iban=new IText("bank_iban");
$bic=new IText("bank_bic");

// show or not the trash can
$hidden='none';
if ( $bank_id != "") {
    $cn=\Dossier::connect();
    $bank_sql=new \Noalyss\XMLPayment\Bank_Account_SQL($cn,$bank_id);
    $name->value=$bank_sql->b_name_account;
    $iban->value=$bank_sql->b_bank_number;
    $bic->value=$bank_sql->b_bank_id;
    $hidden='inline';
}

?>

        <label for="bank_name">
            <?=_("Nom")?>
        </label>
        <?=$name->input()?>
        <label for="bank_iban">
            <?=_("IBAN")?>
        </label>
        <?=$iban->input()?>
        <label for="bank_bic">
            <?=_("BIC")?>
        </label>
        <?=$bic->input()?>

<input type="HIDDEN" id="bank_id" name="bank_id" value="<?=$bank_id?>">
<span id="deletebk_div" style="display: <?=$hidden?>;color:red" >

<?php
echo \Icon_Action::trash(uniqid(),'xmlPayment.delete_bank()');
?>
</span>
