<?php
//This file is part of NOALYSS and is under GPL
//see licence.txt
/**
 *@file
 *Contains all the needed variable for the plugin
 *is name is plugin_name_constant.php
 * You can use some globale variable, especially for the database
 *  connection
 */

global $cn,$g_config_xmlpay;

$g_config_xmlpay=array();

// database connection
$g_config_xmlpay['cn']=\Dossier::connect();;

$http=new \HttpInput();
$g_config_xmlpay['dir']=__DIR__;
$g_config_xmlpay['plugin_code']=$http->request('plugin_code');
$g_config_xmlpay['ac']=$http->request('ac');
$g_config_xmlpay['dossier_id']=\Dossier::id();

/// Database version xmlpayment.version
define ("XMLPAYMENT_VERSION",5);

/**
 * @brief load automatically class
 * @param string $class classname to load
 */
function xmlpayment_class_autoloader($class) {
    global $g_config_xmlpay;
    $class=strtolower($class);

    if ( preg_match('/noalyss\\\\xmlpayment/',$class) ==1 ){
        $class_name=str_replace('noalyss\xmlpayment\\','',$class);

        if (preg_match('/.*_sql/', $class_name) == 1) {
            require_once $g_config_xmlpay['dir']."/database/".$class_name.".class.php";
            return ;
        }

        require_once $g_config_xmlpay['dir']."/class/".$class_name.".class.php";
    } else {
        return;
    }

}
spl_autoload_register('\xmlpayment_class_autoloader', true);
